[% BLOCK calculations_configuration;

amount = fieldname _ "_" _ unit _ "_amount";
id_amount = "regels_" _ amount;
action = fieldname _ "_" _ unit _ "_action";
id_action = "regels_" _ action;

%]

<div class="row">
  <div class="column large-1"><input
      name="[% id_amount %]" type="number"
      min="0"
      value="[% params.$amount || 0 %]">
  </div>

  <div class="column large-3">[% label %]</div>
  <div class="column large-1">
    <select name="[% id_action %]">
      <option value="add"
        [% params.$action == 'add' ? "selected" : "" %]>
      optellen</option>
      <option value="subtract"
        [% params.$action == 'subtract' ? "selected" : "" %]>
      aftrekken</option>
    </select>
  </div>
</div>

[% END %]

[% BLOCK attribute_selection;

undef = date_attributes.reset();
IF src == "src";
THEN;
  dst = "dst";
ELSE;
  dst = "src";
END;

src_attr = fieldname _ "_" _ src _"_attr_id";
src_attr_id = "regels_" _ src_attr;

dst_attr = fieldname _ "_" _ dst _"_attr_id";
dst_attr_id = "regels_" _ dst_attr;

IF src == "src" && !params.$src_attr;
THEN;
  params.$src_attr = date_attributes.first.id;
  undef = date_attributes.reset;
END;

%]

<div class="row">
  <div class="column large-4">[% label %]</div>
  <div class="column large-5">
    <select name="[% src_attr_id %]">
      [% WHILE(dt = date_attributes.next());
        id = dt.get_column('bibliotheek_kenmerken_id');
        IF src == "dst" && id == params.$dst_attr; THEN; NEXT; END;
      %]
      <option
          value=[% id %]
          [% params.$src_attr == id ? "selected" : "" %]
      >
      [% dt.get_label| html_entity %]</option>
      [% END %]
    </select>
  </div>
</div>

[% END %]

[% IF date_attributes.count() < 2; THEN; %]
    Te weinig datumkenmerken in de zaak. Geen regelinstelling beschikbaar.
[% RETURN; END %]


[% PROCESS attribute_selection
  src = "src"
  label = "Gebruik waarde van kenmerk"
%]

[% PROCESS calculations_configuration
  label = "jaren"
  unit  = "years"
%]
[% PROCESS calculations_configuration
  label = "maanden"
  unit  = "months"
%]
[% PROCESS calculations_configuration
  label = "weken"
  unit  = "weeks"
%]
[% PROCESS calculations_configuration
  label = "dagen"
  unit  = "days"
%]
[% PROCESS calculations_configuration
  label = "werkdagen"
  unit  = "working_days"
%]

[% PROCESS attribute_selection
  src = "dst"
  label = "Gebruik waarde in kenmerk"
%]
